Name | Type | Default |
baseColor
|
String
|
'#C2EEFF'
|
Sets or gets the default color used when the colorMode property is set to "autoColors" .
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :baseColor="'#C2EEAA'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
colorRanges
|
Array | Object
|
[ { color: '#aa9988', min: 0, max: 10 }, { color: '#ccbbcc', min: 11, max: 50 }, { color: '#000', min: 50, max: 100 } ];
|
Sets or gets the color ranges used when the colorMode property is set to "rangeColors"
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :colorRanges="colorRanges" :colorMode="'rangeColors'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { colorRanges: [ { color: '#52CBFF', min: 0, max: 85 }, { color: '#52CBAA', min: 86, max: 105 } ], source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
colorRange
|
Number
|
100
|
Sets or gets the range in which the base colors can vary. The value is expected to be from 0 to 255.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="100" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
colorMode
|
String
|
'parent'
|
Sets or gets the sectors rendering behavior.
- parent - a child sector inherits the color from its parent sector. Depending on the child value and the colorRange property the color varies.
- autoColors - automatic color generation based on the baseColor/colorRange and the value.
- rangeColors - the user can sets array of color ranges. Each color range has the properties min, max and color.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :colorMode="'autoColors'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
displayMember
|
String
|
""
|
Sets or gets the displayMember property. The displayMember determines the name of an object property to display. The name is contained in the collection specified by the source property and the name is stored in the label field of each sector. The property is taken into account when the jqxTreeMap's source property points to jqxDataAdapter instance.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :displayMember="'label'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
height
|
Number | String
|
600
|
Sets or gets the jqxTreeMap's height.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :height="500" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
hoverEnabled
|
Boolean
|
false
|
Sets or gets whether a sector will be outlined when the mouse cursor is over it.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :hoverEnabled="true" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
headerHeight
|
Number
|
25
|
Sets or gets the height of the parent sector's header.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :headerHeight="30" /> </template> <script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [ { label: 'East', value: null }, { label: 'West', value: null }, { label: 'USA', value: 104, parent: 'West' }, { label: 'Republic of China', value: 88, parent: 'East' }, { label: 'Great Britain', value: 65, parent: 'West' }, { label: 'Russian Federation', value: 82, parent: 'East' }
|
legendLabel
|
String
|
"Legend"
|
Sets or gets the Legend's label.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :legendLabel="'Olympic medal count - London 2012'" :colorMode="'autoColors'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
legendPosition
|
Object
|
{ x: 0, y: -5 }
|
Sets or gets the Legend's position. The x determines the X offset of the Legend from the left side of the jqxTreeMap. The y determines the Y offset of the Legend from the bottom side of jqxTreeMap.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :legendPosition='{x: 20, y: 0}' :colorMode="'autoColors'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
legendScaleCallback
|
Function
|
null
|
Sets or gets a callback function which formats the values displayed in the jqxTreeMap's Legend.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :colorMode="'autoColors'" :legendScaleCallback="legendScaleCallback" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } }, methods: { legendScaleCallback: function (v) {
|
renderCallbacks
|
Object
|
null
|
Sets or gets callback function(s) which enable you to customize the rendering of any sector in the jqxTreeMap. To define a callback function for all sectors, use the "*" : function(sectorHtmlElement, sectorData) syntax. To define a callback function for a specific element, use its label value instead of "*".
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :renderCallbacks="renderCallbacks" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { renderCallbacks: { '*': function (element, data) { element.css({ color: '#ffffff' }); element.html( '<span style="font-size: 11px;" class="jqx-treemap-label">' + data.label + ', ' + data.value + '</span>'); return true; } }, source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
selectionEnabled
|
Boolean
|
true
|
Sets or gets whether a sector will be outlined when it is clicked..
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :selectionEnabled="false" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
showLegend
|
Boolean
|
true
|
Determines whether the jqxTreeMap's Legend is displayed. Legend is possible to be displayed when the colorMode property is set to "autoColors" or "rangeColors" .
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :showLegend="false" :colorMode="'autoColors'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
source
|
Object | Array
|
null
|
Specifies the jqxTreeMap's data source. Use this property to populate the jqxTreeMap.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :theme="'material'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
valueMember
|
String
|
""
|
Sets or gets the valueMember property. The valueMember determines the name of an object property to set as a value of the treemap sectors. The name is contained in the collection specified by the source property. The property is taken into account when the jqxTreeMap's source property points to jqxDataAdapter instance.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :valueMember="'value'" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
width
|
Number | String
|
600
|
Sets or gets the jqxTreeMap's width.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" :width="500" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }]
|
|
bindingComplete
|
Event
|
|
This event is triggered when the jqxTreeMap's source property is set to point to jqxDataAdapter instance and the jqxDataAdapter's binding is finished.
Code examples
Bind to the bindingComplete event of jqxTreeMap.
<template> <JqxTreeMap ref="myTreeMap" @bindingComplete="onBindingComplete($event)" :colorRange="50" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue';
export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } }, mounted: function () { this.$refs.myTreeMap.source = this.source; }, methods: { onBindingComplete: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Destroy the jqxTreeMap widget. The destroy method removes the jqxTreeMap widget from the web page.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } }, mounted: function () { this.$refs.myTreeMap.destroy();
|
render
|
None
|
None
|
Renders the jqxTreeMap widget.
<template> <JqxTreeMap ref="myTreeMap" :source="source" :colorRange="50" /> </template>
<script> import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue'; export default { components: { JqxTreeMap }, data: function () { return { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } }, mounted: function () { this.$refs.myTreeMap.render();
|

Name | Type | Default |
baseColor
|
String
|
'#C2EEFF'
|
Sets or gets the baseColor property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [baseColor]="'#C2EEFF'"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
colorRanges
|
Array<TreeMapColorRanges>
|
[ { color: '#aa9988', min: 0, max: 10 }, { color: '#ccbbcc', min: 11, max: 50 }, { color: '#000', min: 50, max: 100 } ];
|
interface TreeMapColorRanges { color?: String; min?: Number; max?: Number; } Sets or gets the colorRanges property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [colorRanges]="colorRanges"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
colorRange
|
Number
|
100
|
Sets or gets the colorRange property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [colorRange]="100"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
colorMode
|
enum:TreeMapColorMode
|
'parent'
|
enum TreeMapColorMode { parent, autoColors, rangeColors } Sets or gets the colorMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [colorMode]="'autoColors'"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
displayMember
|
String
|
""
|
Sets or gets the displayMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [displayMember]="'label'"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
height
|
String | Number
|
600
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
hoverEnabled
|
Boolean
|
false
|
Sets or gets the hoverEnabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [hoverEnabled]="true"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
headerHeight
|
Number
|
25
|
Sets or gets the headerHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [headerHeight]="30"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
legendLabel
|
String
|
"Legend"
|
Sets or gets the legendLabel property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [legendLabel]="'Olympic medal count - London 2012'"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
legendPosition
|
TreeMapLegendPosition
|
{ x: 0, y: -5 }
|
interface TreeMapLegendPosition { x?: String | Number; y?: String | Number; } Sets or gets the legendPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [legendPosition]="legendPosition"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
legendScaleCallback
|
Any
|
null
|
Sets or gets the legendScaleCallback property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [legendScaleCallback]="legendScaleCallback"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
renderCallbacks
|
Any
|
null
|
Sets or gets the renderCallbacks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [renderCallbacks]="renderCallbacks"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
selectionEnabled
|
Boolean
|
true
|
Sets or gets the selectionEnabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [selectionEnabled]="false"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
showLegend
|
Boolean
|
true
|
Sets or gets the showLegend property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [showLegend]="false"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
source
|
Any
|
null
|
Sets or gets the source property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [theme]="'energyblue'"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
valueMember
|
String
|
""
|
Sets or gets the valueMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source" [valueMember]="'value'"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
width
|
String | Number
|
600
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source"> </jqxTreeMap> `}) export class AppComponent { source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
|
bindingComplete
|
Event
|
|
This event is triggered when the jqxTreeMap's source property is set to point to jqxDataAdapter instance and the jqxDataAdapter's binding is finished.
Code examples
Bind to the bindingComplete event of jqxTreeMap.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap(onBindingComplete)="BindingComplete($event)" [width]="850" [height]="300" [source]="source"> </jqxTreeMap> `}) export class AppComponent { BindingComplete(event: any): void { // Do Something } source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
|
Name | Return Type | Arguments |
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source"> </jqxTreeMap> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTreeMap') myTreeMap: jqxTreeMapComponent; ngAfterViewInit(): void { this.myTreeMap.destroy(); } source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTreeMap #myTreeMap [width]="850" [height]="300" [source]="source"> </jqxTreeMap> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTreeMap') myTreeMap: jqxTreeMapComponent; ngAfterViewInit(): void { this.myTreeMap.render(); } source: any[] = [ { label: 'Chrome', value: 44.06, color: '#37c837' }, { label: 'Internet Explorer',
|

Name | Type | Default |
baseColor
|
string
|
'#C2EEFF'
|
Sets or gets the default color used when the colorMode property is set to "autoColors" .
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} baseColor={ '#C2EEAA'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
colorRanges
|
Array<TreeMapColorRanges>
|
[ { color: '#aa9988', min: 0, max: 10 }, { color: '#ccbbcc', min: 11, max: 50 }, { color: '#000', min: 50, max: 100 } ];
|
Interface TreeMapColorRanges { color?: string; min?: number; max?: number; }
Sets or gets the color ranges used when the colorMode property is set to "rangeColors"
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { colorRanges: [ { color: '#52CBFF', min: 0, max: 85 }, { color: '#52CBAA', min: 86, max: 105 } ], source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} colorRanges={this.state.colorRanges} colorMode={ 'rangeColors'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
colorRange
|
number
|
100
|
Sets or gets the range in which the base colors can vary. The value is expected to be from 0 to 255.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
colorMode
|
TreeMapColorMode
|
'parent'
|
TreeMapColorMode: "parent" | "autoColors" | "rangeColors"
Sets or gets the sectors rendering behavior.
- parent - a child sector inherits the color from its parent sector. Depending on the child value and the colorRange property the color varies.
- autoColors - automatic color generation based on the baseColor/colorRange and the value.
- rangeColors - the user can sets array of color ranges. Each color range has the properties min, max and color.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} colorMode={ 'autoColors'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayMember
|
string
|
""
|
Sets or gets the displayMember property. The displayMember determines the name of an object property to display. The name is contained in the collection specified by the source property and the name is stored in the label field of each sector. The property is taken into account when the jqxTreeMap's source property points to jqxDataAdapter instance.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} displayMember={ 'label'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
600
|
Sets or gets the jqxTreeMap's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} height={500} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hoverEnabled
|
boolean
|
false
|
Sets or gets whether a sector will be outlined when the mouse cursor is over it.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} hoverEnabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
headerHeight
|
number
|
25
|
Sets or gets the height of the parent sector's header.
|
legendLabel
|
string
|
"Legend"
|
Sets or gets the Legend's label.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} legendLabel={ 'Olympic medal count - London 2012'} colorMode={ 'autoColors'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
legendPosition
|
TreeMapLegendPosition
|
{ x: 0, y: -5 }
|
Interface TreeMapLegendPosition { x?: number | string; y?: number | string; }
Sets or gets the Legend's position. The x determines the X offset of the Legend from the left side of the jqxTreeMap. The y determines the Y offset of the Legend from the bottom side of jqxTreeMap.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} legendPosition={{x: 20, y: 0}} colorMode={ 'autoColors'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
legendScaleCallback
|
(v: TreeMapLegendScaleCallback['v']) => string | number
|
null
|
Interface TreeMapLegendScaleCallback { v?: number; }
Sets or gets a callback function which formats the values displayed in the jqxTreeMap's Legend.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { legendScaleCallback: (v: number): any => { v = v.toFixed(1); return v; }, source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} colorMode={ 'autoColors'} legendScaleCallback={this.state.legendScaleCallback} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
renderCallbacks
|
any
|
null
|
Sets or gets callback function(s) which enable you to customize the rendering of any sector in the jqxTreeMap. To define a callback function for all sectors, use the "*" : function(sectorHtmlElement, sectorData) syntax. To define a callback function for a specific element, use its label value instead of "*".
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { renderCallbacks: { '*': function (element, data) { element.css({ color: '#ffffff' }); element.html( '<span style="font-size: 11px;" class="jqx-treemap-label">' + data.label + ', ' + data.value + '</span>'); return true; } }, source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} renderCallbacks={this.state.renderCallbacks} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectionEnabled
|
boolean
|
true
|
Sets or gets whether a sector will be outlined when it is clicked..
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} selectionEnabled={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showLegend
|
boolean
|
true
|
Determines whether the jqxTreeMap's Legend is displayed. Legend is possible to be displayed when the colorMode property is set to "autoColors" or "rangeColors" .
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} showLegend={false} colorMode={ 'autoColors'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
any
|
null
|
Specifies the jqxTreeMap's data source. Use this property to populate the jqxTreeMap.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueMember
|
string
|
""
|
Sets or gets the valueMember property. The valueMember determines the name of an object property to set as a value of the treemap sectors. The name is contained in the collection specified by the source property. The property is taken into account when the jqxTreeMap's source property points to jqxDataAdapter instance.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} valueMember={ 'value'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
600
|
Sets or gets the jqxTreeMap's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} width={500} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
bindingComplete
|
Event
|
|
This event is triggered when the jqxTreeMap's source property is set to point to jqxDataAdapter instance and the jqxDataAdapter's binding is finished.
Code examples
Bind to the bindingComplete event of jqxTreeMap.
|
|
Name | Arguments | Return Type |
destroy
|
None
|
|
Destroy the jqxTreeMap widget. The destroy method removes the jqxTreeMap widget from the web page.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public componentDidMount(): void { this.myTreeMap.current!.destroy(); } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the jqxTreeMap widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap'; class App extends React.PureComponent<{}, ITreeMapProps> { private myTreeMap = React.createRef<JqxTreeMap>(); constructor(props: {}) { super(props); this.state = { source: [{ label: 'USA', value: 104 }, { label: 'Republic of China', value: 88 }, { label: 'Great Britain', value: 65 }, { label: 'Russian Federation', value: 82 }] } } public componentDidMount(): void { this.myTreeMap.current!.render(); } public render() { return ( <JqxTreeMap ref={this.myTreeMap} source={this.state.source} colorRange={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|